import { aws_route53 as route53, aws_s3 as s3 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface AssetCdnProps {
    /**
     * Domain name of the asset content delivery network (e.g. example.com)
     */
    domainName: string;
    /**
     * Hostname of the asset content delivery network (e.g. cdn)
     */
    hostName: string;
}
export declare class AssetCdn extends Construct {
    readonly zone: route53.IHostedZone;
    readonly assetBucket: s3.Bucket;
    readonly assetDomainName: string;
    constructor(scope: Construct, id: string, props: AssetCdnProps);
}
