import * as iam from 'aws-cdk-lib/aws-iam';
import * as sfn from 'aws-cdk-lib/aws-stepfunctions';
import * as constructs from 'constructs';
export interface WorkflowProps {
    readonly stateMachineType?: sfn.StateMachineType;
    readonly loggingConfiguration?: sfn.CfnStateMachine.LoggingConfigurationProperty;
    readonly tracingConfiguration?: sfn.CfnStateMachine.TracingConfigurationProperty;
    readonly definitionFileName: string;
    readonly definitionSubstitutions?: {
        [key: string]: (string);
    };
}
export declare class Workflow extends constructs.Construct implements iam.IGrantable {
    readonly role: iam.IRole;
    readonly workflowArn: string;
    readonly grantPrincipal: iam.IPrincipal;
    constructor(scope: constructs.Construct, id: string, props: WorkflowProps);
}
