import { Component, Project } from 'projen';
/**
 * SampleDir options
 */
export interface LazySampleDirOptions {
    /**
     * The files to render into the directory.
     */
    readonly fileGenerator: () => {
        [fileName: string]: () => string;
    };
}
/**
 * Renders the given files into the directory if the files do not exist. Use this to create sample code files
 */
export declare class LazySampleDir extends Component {
    private readonly dir;
    private readonly options;
    /**
     * Create sample files in the given directory
     * @param project Parent project to add files to.
     * @param dir directory to add files to.
     * @param options options for which files to create.
     */
    constructor(project: Project, dir: string, options: LazySampleDirOptions);
    synthesize(): void;
}
