import { IConstruct } from 'constructs';
import { FileBase, FileBaseOptions, IResolver, TextFile } from 'projen';
export interface LazyTextFileOptions extends FileBaseOptions {
    /**
     * The content provider for the file.
     */
    readonly content: (file: FileBase) => string;
}
export declare class LazyTextFile extends TextFile {
    private readonly content;
    /**
     * Defines a text file.
     *
     * @param project The project
     * @param filePath File path
     * @param options Options
     */
    constructor(scope: IConstruct, filePath: string, options?: LazyTextFileOptions);
    protected synthesizeContent(_: IResolver): string | undefined;
}
