import { OpenAPI3 } from 'openapi-typescript';
import * as pj from 'projen';
export interface RestApiOptions {
    readonly apiName: string;
    readonly definitionFile: string;
}
export declare class RestApi extends pj.Component {
    protected options: RestApiOptions;
    constructor(app: pj.awscdk.AwsCdkTypeScriptApp, options: RestApiOptions);
    protected createConstructFile(file: pj.FileBase): string;
    protected validatePathRef(apiSpec: OpenAPI3, path: string, visited?: string[]): boolean;
    protected addRestResourceHandlerSample(files: {
        [fileName: string]: () => string;
    }, apiSpec: OpenAPI3, path: string, method: string): void;
    protected createEntryFile(method: string, operationId: string): string;
    private generateSampleHandlerFiles;
}
